#ifndef __MODEL_H__
#define __MODEL_H__

#include "shaunlib.h"

class Model
{
 public:

    int nparam;
    int nhap;
    int nsubhap;
    
    bool between;
    bool within;
    bool total;
    bool cov;
    bool gxe;

    // Coding 
    BoolArray estimate; 
    IntArray betacode;

    // Storage of estimates
    CVector estimates;
    CVector bet_beta;
    CVector bet_tempbeta;
    CVector with_beta;
    CVector with_tempbeta;
    CVector cbeta;
    CMatrix ibeta; 
        
    double likelihood;
    double mean, var;
        
    CMatrix covbeta; // specified for alt only 
    
};


#endif
